const target = document.querySelector("#target");
const nav = new vegvisir.Navigation("/some-page");

// Will place the contents of /some-page after the target element as a sibling
nav.navigate(target, vegvisir.Navigation.POSITION.AFTEREND);

// Tip: You can also pass an insertAdjacentElement position string directly
nav.navigate(target, "afterend");